%global _empty_manifest_terminate_build 0
%global common_desc \
	Plugin for Senlin Clustering Service This is a client library for Senlin built \
	on the Senlin clustering API. It provides a plugin for the openstackclient \
	command-line tool.
Name:           python-senlinclient
Version:        2.2.1
Release:        2
Summary:        OpenStack Clustering API Client Library
License:        Apache-2.0
URL:            https://docs.openstack.org/python-senlinclient/latest/
Source0:        https://files.pythonhosted.org/packages/ae/a8/180b8e2fb43bddee6b99c9599744a35304f60dab97f21a2fc459c95144f2/python-senlinclient-2.2.1.tar.gz
BuildArch:      noarch
%description
%{common_desc}

%package -n python3-senlinclient
Summary:        OpenStack Clustering API Client Library
Provides:       python-senlinclient
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-prettytable
BuildRequires:  python3-pyyaml
BuildRequires:  python3-keystoneauth1
BuildRequires:  python3-openstacksdk
BuildRequires:  python3-osc-lib
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-oslo-serialization
BuildRequires:  python3-oslo-utils == 4.8.0
BuildRequires:  python3-heatclient
BuildRequires:  python3-requests
# General requires
Requires:       python3-prettytable
Requires:       python3-pyyaml
Requires:       python3-keystoneauth1
Requires:       python3-openstacksdk
Requires:       python3-osc-lib
Requires:       python3-oslo-i18n
Requires:       python3-oslo-serialization
Requires:       python3-oslo-utils == 4.8.0
Requires:       python3-pbr
Requires:       python3-heatclient
Requires:       python3-requests
%description -n python3-senlinclient
%{common_desc}

%package help
Summary:        OpenStack Clustering API Client Library
Provides:       python3-senlinclient-doc
%description help
%{common_desc}

%prep
%autosetup -n python-senlinclient-2.2.1

%build
%py3_build


%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
#%{__python3} setup.py test

%files -n python3-senlinclient -f filelist.lst
%dir %{python3_sitelib}/*


%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Mar 02 2023 OpenStack_SIG <openstack@openeuler.org> - 2.2.1-2
- Fix install error

* Tue Jul 20 2021 OpenStack_SIG <openstack@openeuler.org> - 2.2.1-1
- Package Spec generate
